---
search:
  tags:
    - Purchase Orders
    - PATCH
seo:
  description: >-
    Correct a purchase-order… Reference for the PATCH
    /v1/organizations/{orgId}/purchase-orders/{purchaseOrderId} endpoint in the
    Stashtab Vault Warehouse API.
sidebar:
  label: Correct a purchase-order declaration
  badge: PATCH
title: Correct a purchase-order declaration
type: openapi-operation
---
`PATCH /v1/organizations/{orgId}/purchase-orders/{purchaseOrderId}`

**Request body** (`application/json`, required)

- `expectedDeclarationRevision` (integer, required)
- `lines` (object[], required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "expectedDeclarationRevision": 1,
  "lines": [
    {
      "declaredCondition": "nm",
      "declaredQuantity": 0,
      "lineId": "string",
      "productId": "string",
      "submittedName": "string",
      "supplierSku": "string"
    }
  ],
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "purchaseOrder": {
      "declarationRevision": 1,
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "lineIds": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "poNumber": "string",
      "providerPoRef": "string",
      "deposit": {
        "providerVerified": false,
        "depositRef": "string",
        "labelRef": "string",
        "tracking": "string"
      }
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
